Skip to main content
GET
/
v2
/
x402
/
discovery
/
resources
List x402 resources
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/x402/discovery/resources \
  --header 'Authorization: Bearer <token>'
{
  "x402Version": 2,
  "items": [
    {
      "resource": "https://api.example.com/weather/forecast",
      "description": "Real-time weather forecast data.",
      "type": "http",
      "x402Version": 2,
      "lastUpdated": "2024-01-15T10:30:00Z",
      "accepts": [
        {
          "scheme": "exact",
          "network": "eip155:8453",
          "amount": "1000000",
          "payTo": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
          "asset": "0x036CbD53842c5426634e7929541eC2318f3dCF7e",
          "maxTimeoutSeconds": 60
        }
      ],
      "extensions": {
        "bazaar": {
          "info": {
            "input": {
              "type": "http",
              "method": "GET"
            }
          },
          "schema": {}
        }
      },
      "quality": {
        "l30DaysTotalCalls": 42,
        "l30DaysUniquePayers": 15,
        "lastCalledAt": "2024-01-15T10:30:00Z"
      },
      "serviceName": "Weather API",
      "tags": [
        "weather",
        "data"
      ]
    }
  ],
  "pagination": {
    "limit": 100,
    "offset": 0,
    "total": 1000
  }
}
Pagination behavior: The default limit is 100. Limits are rounded to the nearest 10 and clamped to a minimum of 20 (maximum 1000). Offsets that are not a multiple of the rounded limit are snapped down to the nearest valid multiple. Results are served from a cache — expect new and updated resources to take up to 10 minutes to be reflected.

Query Parameters

type
string

Filter by protocol type (e.g., "http", "mcp"). Currently, the only supported protocol type is "http".

Example:

"http"

limit
integer
default:100

The number of discovered x402 resources to return per page.

offset
integer
default:0

The offset of the first discovered x402 resource to return.

Response

Successfully retrieved discovery list.

Response containing discovered x402 resources.

x402Version
enum<integer>
required

The version of the x402 protocol.

Available options:
1,
2
Example:

2

items
object[]
required

List of discovered x402 resources.

Example:
[
{
"resource": "https://api.example.com/weather/forecast",
"description": "Real-time weather forecast data.",
"type": "http",
"x402Version": 2,
"lastUpdated": "2024-01-15T10:30:00Z",
"accepts": [
{
"scheme": "exact",
"network": "eip155:8453",
"amount": "1000000",
"payTo": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"asset": "0x036CbD53842c5426634e7929541eC2318f3dCF7e",
"maxTimeoutSeconds": 60
}
],
"extensions": {
"bazaar": {
"info": {
"input": { "type": "http", "method": "GET" }
},
"schema": {}
}
},
"quality": {
"l30DaysTotalCalls": 42,
"l30DaysUniquePayers": 15,
"lastCalledAt": "2024-01-15T10:30:00Z"
},
"serviceName": "Weather API",
"tags": ["weather", "data"]
}
]
pagination
object
required

Pagination information for the response.

Example:
{ "limit": 100, "offset": 0, "total": 1000 }